### Method

# EDataBook BookSqlite count_query

since: 3.50

#### Declaration [src]

    gboolean
    e_book_sqlite_count_query (
      EBookSqlite* ebsql,
      const gchar* sexp,
      guint* out_n_total,
      GCancellable* cancellable,
      GError** error
    )

#### Description [src]

Counts how many contacts satisfy the `sexp`.

Available since: 3.50

#### Parameters

`sexp`

  Type: `const gchar*`

  Search expression; use `NULL` or an empty string to consider all stored contacts.

  The argument can be `NULL`.
  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

`out_n_total`

  Type: `guint*`

  Return location to store the count of the contacts.

  The argument will be set by the function.

`cancellable`

  Type: `GCancellable`

  A `GCancellable`.

  The argument can be `NULL`.
  The data is owned by the caller of the method.

`error`

  Type: `GError **`

  The return location for a recoverable error.

  The argument can be `NULL`.
  If the return location is not `NULL`, then you must initialize it to a `NULL` `GError*`.
  The argument will be left initialized to `NULL` by the method if there are no errors.
  In case of error, the argument will be set to a newly allocated `GError`; the caller will take ownership of the data, and be responsible for freeing it.

#### Return value

Type: `gboolean`

Whether succeeded.